Bug 110695 - bad source code
bad source code
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: autorun (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-23 11:13 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-29 05:14:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2003-11-23 11:13:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:

I just tried to compile package autorun-3_11-1 from Fedora.

The compiler said

autorun.cc(458): warning #1011: missing return statement at end of 
non-void function "exec_string"

I agree with the compiler. There is a missing return statement at 
the end of the routine.



Version-Release number of selected component (if applicable):
3_11-1 

How reproducible:
Always

Steps to Reproduce:
1. compile the package
2.
3.
    

Additional info:
Comment 1 Harald Hoyer 2004-01-29 05:14:37 EST
thx! fixed in cvs

Note You need to log in before you can comment on or make changes to this bug.